The fit equity vol surfaces to convertible bond data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"initial_atm_vol": 0.8008281904610115,
"pricing_model_manager": "{}",
"bond_price_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
}
],
"min_vol_bump": 6.027456183070403,
"max_vol_bump": 1.4658129805029452
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData"
payload = {
"initial_atm_vol": 0.8008281904610115,
"pricing_model_manager": "{}",
"bond_price_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": True,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": True
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": True,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": True
}
],
"min_vol_bump": 6.027456183070403,
"max_vol_bump": 1.4658129805029452
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
initial_atm_vol: 0.8008281904610115,
pricing_model_manager: '{}',
bond_price_data: [
{
date: '2000-01-23T04:56:07.000+00:00',
bond_identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
is_currency_per_bond_unit: true,
currency: 'currency',
traded_price: 0.8008281904610115,
is_percentage_of_par: true
},
{
date: '2000-01-23T04:56:07.000+00:00',
bond_identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
is_currency_per_bond_unit: true,
currency: 'currency',
traded_price: 0.8008281904610115,
is_percentage_of_par: true
}
],
min_vol_bump: 6.027456183070403,
max_vol_bump: 1.4658129805029452
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'initial_atm_vol' => 0.8008281904610115,
'pricing_model_manager' => '{}',
'bond_price_data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'bond_identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'is_currency_per_bond_unit' => true,
'currency' => 'currency',
'traded_price' => 0.8008281904610115,
'is_percentage_of_par' => true
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'bond_identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'is_currency_per_bond_unit' => true,
'currency' => 'currency',
'traded_price' => 0.8008281904610115,
'is_percentage_of_par' => true
]
],
'min_vol_bump' => 6.027456183070403,
'max_vol_bump' => 1.4658129805029452
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData"
payload := strings.NewReader("{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}"
response = http.request(request)
puts response.read_body{
"equity_vol_surfaces": [
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}The fit equity vol surfaces to convertible bond data
POST
/
api
/
MarketData
/
FitEquityVolSurfacesToConvertibleBondData
The fit equity vol surfaces to convertible bond data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"initial_atm_vol": 0.8008281904610115,
"pricing_model_manager": "{}",
"bond_price_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
}
],
"min_vol_bump": 6.027456183070403,
"max_vol_bump": 1.4658129805029452
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData"
payload = {
"initial_atm_vol": 0.8008281904610115,
"pricing_model_manager": "{}",
"bond_price_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": True,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": True
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": True,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": True
}
],
"min_vol_bump": 6.027456183070403,
"max_vol_bump": 1.4658129805029452
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
initial_atm_vol: 0.8008281904610115,
pricing_model_manager: '{}',
bond_price_data: [
{
date: '2000-01-23T04:56:07.000+00:00',
bond_identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
is_currency_per_bond_unit: true,
currency: 'currency',
traded_price: 0.8008281904610115,
is_percentage_of_par: true
},
{
date: '2000-01-23T04:56:07.000+00:00',
bond_identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
is_currency_per_bond_unit: true,
currency: 'currency',
traded_price: 0.8008281904610115,
is_percentage_of_par: true
}
],
min_vol_bump: 6.027456183070403,
max_vol_bump: 1.4658129805029452
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'initial_atm_vol' => 0.8008281904610115,
'pricing_model_manager' => '{}',
'bond_price_data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'bond_identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'is_currency_per_bond_unit' => true,
'currency' => 'currency',
'traded_price' => 0.8008281904610115,
'is_percentage_of_par' => true
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'bond_identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'is_currency_per_bond_unit' => true,
'currency' => 'currency',
'traded_price' => 0.8008281904610115,
'is_percentage_of_par' => true
]
],
'min_vol_bump' => 6.027456183070403,
'max_vol_bump' => 1.4658129805029452
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData"
payload := strings.NewReader("{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/FitEquityVolSurfacesToConvertibleBondData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"initial_atm_vol\": 0.8008281904610115,\n \"pricing_model_manager\": \"{}\",\n \"bond_price_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"bond_identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"is_currency_per_bond_unit\": true,\n \"currency\": \"currency\",\n \"traded_price\": 0.8008281904610115,\n \"is_percentage_of_par\": true\n }\n ],\n \"min_vol_bump\": 6.027456183070403,\n \"max_vol_bump\": 1.4658129805029452\n}"
response = http.request(request)
puts response.read_body{
"equity_vol_surfaces": [
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiFitEquityVolSurfacesToConvertibleBondDataRequest, Derivitec.Web.Core Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{ "discount_curve_overrides": [ { "curve_name": "curve_name" }, { "curve_name": "curve_name" } ], "andersen_buffum_parameters_overrides": [ { "asset_name": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "andersen_buffum_benchmark_spot": 7.061401241503109, "andersen_buffum_alpha": 2.3021358869347655, "reference_date": "2000-01-23T04:56:07.000+00:00" }, { "asset_name": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "andersen_buffum_benchmark_spot": 7.061401241503109, "andersen_buffum_alpha": 2.3021358869347655, "reference_date": "2000-01-23T04:56:07.000+00:00" } ], "recovery_rate_overrides": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ], "equity_vol_surface_spot_model": "sticky_strike", "fx_spot_overrides_by_currency": [ { "value": 3.5571952270680973, "key": "key" }, { "value": 3.5571952270680973, "key": "key" } ], "equity_vol_surface_overrides": [ { "asset_name": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "asset_name": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ], "borrow_curve_overrides": [ { "asset_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "asset_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ], "index_curve_fitting_overrides": [ { "curve_name": "curve_name", "instrument_set": [ { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } ], "currency": "currency", "instrument_quotes": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ] }, { "curve_name": "curve_name", "instrument_set": [ { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } ], "currency": "currency", "instrument_quotes": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ] } ], "bond_prices": [ { "date": "2000-01-23T04:56:07.000+00:00", "bond_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "is_currency_per_bond_unit": true, "currency": "currency", "traded_price": 0.8008281904610115, "is_percentage_of_par": true }, { "date": "2000-01-23T04:56:07.000+00:00", "bond_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "is_currency_per_bond_unit": true, "currency": "currency", "traded_price": 0.8008281904610115, "is_percentage_of_par": true } ], "equity_vol_grid_overrides": [ { "asset_id": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "asset_id": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ], "index_curve_overrides": [ { "curve_name": "curve_name" }, { "curve_name": "curve_name" } ], "cmdty_spot_overrides": [ { "value": 3.5571952270680973, "key": "key" }, { "value": 3.5571952270680973, "key": "key" } ], "discount_curve_fitting_overrides": [ { "curve_name": "curve_name", "instrument_set": [ { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } ], "currency": "currency", "instrument_quotes": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ] }, { "curve_name": "curve_name", "instrument_set": [ { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } ], "currency": "currency", "instrument_quotes": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ] } ], "equity_spot_overrides": [ { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } }, { "value": 1.4658129805029452, "key": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" } } ], "dividends_overrides": [ { "use_forward_dividend_yields": true, "asset_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "dividends": { "declared_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "pay_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "all_in_rates": [1.4658129805029452, 1.4658129805029452], "ex_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "div_types": ["Regular", "Regular"], "confirmed_flags": [true, true], "cash_divs": [5.962133916683182, 5.962133916683182], "div_yields": [5.637376656633329, 5.637376656633329], "reference_date": "2000-01-23T04:56:07.000+00:00", "record_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "currencies": ["currencies", "currencies"] }, "dividend_yields": [ { "value": 5.637376656633329, "key": 5 }, { "value": 5.637376656633329, "key": 5 } ] }, { "use_forward_dividend_yields": true, "asset_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "dividends": { "declared_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "pay_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "all_in_rates": [1.4658129805029452, 1.4658129805029452], "ex_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "div_types": ["Regular", "Regular"], "confirmed_flags": [true, true], "cash_divs": [5.962133916683182, 5.962133916683182], "div_yields": [5.637376656633329, 5.637376656633329], "reference_date": "2000-01-23T04:56:07.000+00:00", "record_dates": [ "2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00" ], "currencies": ["currencies", "currencies"] }, "dividend_yields": [ { "value": 5.637376656633329, "key": 5 }, { "value": 5.637376656633329, "key": 5 } ] } ], "bond_yield_curve_overrides": [ { "reference_curve_discount_factors": [0.8008281904610115, 0.8008281904610115], "bond_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "reference_curve_name": "reference_curve_name", "reference_curve_maturities": [6, 6], "bond_issuer": "bond_issuer", "debt_type": "debt_type" }, { "reference_curve_discount_factors": [0.8008281904610115, 0.8008281904610115], "bond_identifier": { "code": "code", "market_identification_code": "market_identification_code", "identifier_type": "Derivitec" }, "reference_curve_name": "reference_curve_name", "reference_curve_maturities": [6, 6], "bond_issuer": "bond_issuer", "debt_type": "debt_type" } ], "fx_spot_currency": "fx_spot_currency" }
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?